use serde::Serialize;

/// HTTP request error
///
/// @author Pierre Hubert

#[derive(Serialize)]
pub struct HttpError {
    pub code: u16,
    pub message: String,
}

impl HttpError {

    /// Generate a 404 error
    pub fn not_found(message: &str) -> HttpError {
        HttpError {
            code: 404,
            message: message.to_string()
        }
    }

    /// Generate a 500 error
    pub fn internal_error(message: &str) -> HttpError {
        HttpError {
            code: 500,
            message: message.to_string()
        }
    }
}